Class | Bio::RestrictionEnzyme::Range::SequenceRange::Fragment
In: | lib/bio/util/restriction_enzyme/range/sequence_range/fragment.rb
Parent: | Object

### Methods

for_display new

### Constants

DisplayFragment | = | Struct.new(:primary, :complement, :p_left, :p_right, :c_left, :c_right)

### Attributes

size | [R] |

### Public Class methods

new( primary_bin, complement_bin )

[Source]

        # File lib/bio/util/restriction_enzyme/range/sequence_range/fragment.rb, line 21
    21:   def initialize( primary_bin, complement_bin )
    22:     @primary_bin = primary_bin
    23:     @complement_bin = complement_bin
    24:   end

### Public Instance methods

for_display(p_str=nil, c_str=nil)

[Source]

        # File lib/bio/util/restriction_enzyme/range/sequence_range/fragment.rb, line 28
    28:   def for_display(p_str=nil, c_str=nil)
    29:     df = DisplayFragment.new
    30:     df.primary = ''
    31:     df.complement = ''
    32:
    33:     both_bins = @primary_bin + @complement_bin
    34:     both_bins.each do |item|
    35:       @primary_bin.include?(item) ? df.primary << p_str[item] : df.primary << ' '
    36:       @complement_bin.include?(item) ? df.complement << c_str[item] : df.complement << ' '
    37:     end
    38:
    39:     df.p_left  = @primary_bin.first
    40:     df.p_right = @primary_bin.last
    41:     df.c_left  = @complement_bin.first
    42:     df.c_right = @complement_bin.last
    43:
    44:     df
    45:   end

[Validate]